//
//  MPMagstripeServiceCode.h
//  payworks.connect
//
//  Created by Simon Eumes on 7/22/13.
//  Copyright (c) 2021 CyberSource Corporation. All Rights Reserved.
//

#import "MPDefaultMagstripeServiceCode.h"
#import "MPMagstripeServiceCode.h"

typedef NS_ENUM(NSUInteger, MPDefaultMagstripeServiceCodeInterchangeRequirement) {
    MPDefaultMagstripeServiceCodeInterchangeRequirement_InternationalInterchangeOk = 1,
    MPDefaultMagstripeServiceCodeInterchangeRequirement_InternationalInterchangeOkUseICC = 2,
    MPDefaultMagstripeServiceCodeInterchangeRequirement_NationalInterchangeOnlyExceptUnderBilateralAgreement = 5,
    MPDefaultMagstripeServiceCodeInterchangeRequirement_NationalInterchangeOnlyExceptUnderBilateralAgreementUseICC = 6,
    MPDefaultMagstripeServiceCodeInterchangeRequirement_NoInterchangeExceptUnderBilaterlAgreement = 7,
    MPDefaultMagstripeServiceCodeInterchangeRequirement_Test = 9,
    MPDefaultMagstripeServiceCodeInterchangeRequirement_Unknown
};

typedef NS_ENUM(NSUInteger, MPDefaultMagstripeServiceCodeAuthorizationRequirement) {
    MPDefaultMagstripeServiceCodeAuthorizationRequirement_Normal = 0,
    MPDefaultMagstripeServiceCodeAuthorizationRequirement_Online = 2,
    MPDefaultMagstripeServiceCodeAuthorizationRequirement_OnlineExceptUnderBilateralAgreement = 4,
    MPDefaultMagstripeServiceCodeAuthorizationRequirement_Unknown
};


typedef NS_ENUM(NSUInteger, MPDefaultMagstripeServiceCodeServiceRequirement) {
    MPDefaultMagstripeServiceCodeServiceRequirement_NoRestrictionsPINRequired = 0,
    MPDefaultMagstripeServiceCodeServiceRequirement_NoRestrictions = 1,
    MPDefaultMagstripeServiceCodeServiceRequirement_GoodsAndServicesOnly = 2,
    MPDefaultMagstripeServiceCodeServiceRequirement_ATMOnlyPINRequired = 3,
    MPDefaultMagstripeServiceCodeServiceRequirement_CashOnly = 4,
    MPDefaultMagstripeServiceCodeServiceRequirement_GoodsAndServicesOnlyPINRequired = 5,
    MPDefaultMagstripeServiceCodeServiceRequirement_NoRestrictionsPINWhereFeasible = 6,
    MPDefaultMagstripeServiceCodeServiceRequirement_GoodsAndServicesOnlyPINWhereFeasible = 7,
    MPDefaultMagstripeServiceCodeServiceRequirement_Unknown
};


@interface MPDefaultMagstripeServiceCode : NSObject <MPMagstripeServiceCode>

- (nullable instancetype)initWithServiceCode:(nullable NSString *)serviceCode NS_DESIGNATED_INITIALIZER;

@property (strong, readonly, nonatomic, nonnull) NSString *serviceCode;

@property (assign, readonly, nonatomic) MPDefaultMagstripeServiceCodeInterchangeRequirement interchangeRequirement;
@property (assign, readonly, nonatomic) MPDefaultMagstripeServiceCodeAuthorizationRequirement authorizationRequirement;
@property (assign, readonly, nonatomic) MPDefaultMagstripeServiceCodeServiceRequirement serviceRequirement;


@end
