//
//  MPLogger.h
//  mpos
//
//  Created by Simon Eumes on 10/2/13.
//  Copyright (c) 2021 CyberSource Corporation. All Rights Reserved.
//
@import os.log;
#import <mpos_core/MPLogLevel.h>

NS_ASSUME_NONNULL_BEGIN




@interface MPLogger : NSObject

+ (void)logMessage:(NSString *)message
          logLevel:(MPLogLevel)level
      logCathegory:(MPLogCategory)category
          function:(NSString *)function line:(UInt64)line arguments:(nullable NSString *)arguments;

+ (NSString *)queueName;

@end

#define _LogLevel(level, category, frmt, ...)                                                                                                                                                        \
do { ([MPLogger logMessage:@"Log from SDK" logLevel:level logCathegory:category function:[NSString stringWithFormat:@"%s", __PRETTY_FUNCTION__] line:__LINE__ arguments:[NSString stringWithFormat:frmt, ##__VA_ARGS__]]); \
    } while (0)

#define LogError(frmt, category, ...) _LogLevel(MPLogLevelError, category,  frmt, ##__VA_ARGS__)
#define LogWarn(frmt, category, ...) _LogLevel(MPLogLevelWarning, category, frmt, ##__VA_ARGS__)
#define LogInfo(frmt, category, ...) _LogLevel(MPLogLevelInfo, category, frmt, ##__VA_ARGS__)
#define LogDebug(frmt, category, ...) _LogLevel(MPLogLevelDebug,category, frmt, ##__VA_ARGS__)
#define LogVerbose(frmt, category, ...) _LogLevel(MPLogLevelVerbose, category, frmt, ##__VA_ARGS__)

NS_ASSUME_NONNULL_END
