//
// CYBERSOURCE CORPORATION ("COMPANY") CONFIDENTIAL
// Copyright (c) 2021 CyberSource Corporation. All Rights Reserved.
//
// NOTICE:  All information contained herein is, and remains the property of COMPANY. The intellectual and technical concepts contained
// herein are proprietary to COMPANY and may be covered by European or foreign Patents, patents in process, and are protected by trade secret or copyright law.
// Dissemination of this information or reproduction of this material is strictly forbidden unless prior written permission is obtained
// from COMPANY.  Access to the source code contained herein is hereby forbidden to anyone except current COMPANY employees, managers or contractors who have executed
// Confidentiality and Non-disclosure agreements explicitly covering such access.
//
// The copyright notice above does not evidence any actual or intended publication or disclosure of this source code, which includes
// information that is confidential and/or proprietary, and is a trade secret, of COMPANY.
// ANY REPRODUCTION, MODIFICATION, DISTRIBUTION, PUBLIC  PERFORMANCE,
// OR PUBLIC DISPLAY OF OR THROUGH USE  OF THIS  SOURCE CODE  WITHOUT  THE EXPRESS WRITTEN CONSENT OF COMPANY IS STRICTLY PROHIBITED, AND IN VIOLATION OF APPLICABLE
// LAWS AND INTERNATIONAL TREATIES.  THE RECEIPT OR POSSESSION OF  THIS SOURCE CODE AND/OR RELATED INFORMATION DOES NOT CONVEY OR IMPLY ANY RIGHTS
// TO REPRODUCE, DISCLOSE OR DISTRIBUTE ITS CONTENTS, OR TO MANUFACTURE, USE, OR SELL ANYTHING THAT IT  MAY DESCRIBE, IN WHOLE OR IN PART.

#import <mpos_core/NSError+MPAdditions.h>

NS_ASSUME_NONNULL_BEGIN

@interface NSError (MPAdditions_Internal)

+ (instancetype)errorWithType:(MPErrorType)type;
+ (instancetype)errorWithType:(MPErrorType)type info:(nullable NSString *)info;
+ (instancetype)errorWithType:(MPErrorType)type info:(nullable NSString *)info developerInfo:(nullable NSString *)developerInfo;

+ (instancetype)errorForMissingParameter:(NSString *)parameter;
+ (instancetype)errorForEmptyParameter:(NSString *)parameter;
+ (instancetype)errorForInvalidParameter:(NSString *)parameter;

- (BOOL)assignToReference:(NSError *_Nullable __autoreleasing *)reference;

+ (NSString *)errorTypeToString:(MPErrorType)type;

@end

NS_ASSUME_NONNULL_END
