//
//  MPMagstripeInformation.h
//  payworks.connect
//
//  Created by Simon Eumes on 6/7/13.
//  Copyright (c) 2021 CyberSource Corporation. All Rights Reserved.
//

#import "MPMagstripeServiceCode.h"
#import "MPPaymentDetails.h"
@class MPScheme;

typedef NS_ENUM(NSUInteger, MPMagstripeInformationFormat) { MPMagstripeInformationFormatISO = 0, MPMagstripeInformationFormatANSI };

NS_ASSUME_NONNULL_BEGIN

@interface MPMagstripeInformation : NSObject

+ (instancetype)magstripeInformationFromMaskedAccount:(NSString *)maskedAccount serviceCode:(NSString *)serviceCode;

+ (instancetype)magstripeInformationFromTrack2:(NSString *)track2;


@property (assign, nonatomic) MPMagstripeInformationFormat format;

@property (strong, nonatomic, nullable) NSData *rawTrack2; // used for magstripe online PIN requests

@property (strong, nonatomic, nullable) NSString *maskedTrack2;
@property (strong, nonatomic, nullable) NSString *maskedAccountNumber;
@property (strong, nonatomic, nullable) id<MPMagstripeServiceCode> serviceCode;

@property (strong, nonatomic, nullable) NSString *sredData;
@property (strong, nonatomic, nullable) NSString *sredKSN;

@property (strong, nonatomic, nullable) NSString *pinData;
@property (strong, nonatomic, nullable) NSString *pinKSN;

@property (strong, nonatomic, nullable) NSString *macData;
@property (strong, nonatomic, nullable) NSString *macKSN;

/**
 * only provided optionally!
 */
@property (strong, nonatomic, nullable) NSString *track3;

@property (strong, nonatomic, nullable) NSString *cardholderName;

@end

NS_ASSUME_NONNULL_END
